Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 3012243002: Change ForwardErrorCorrection class to accept one received packet at a time. (Closed)

Created:
2 months, 1 week ago by nisse-webrtc
Modified:
2 months ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, zhuangzesen_agora.io, danilchap, stefan-webrtc, mflodman
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Change ForwardErrorCorrection class to accept one received packet at a time. BUG=None Review-Url: https://codereview.webrtc.org/3012243002 Cr-Commit-Position: refs/heads/master@{#19893} Committed: https://webrtc.googlesource.com/src/+/a5f043f9cd201fff209e96415bebcb8445ba0176

Patch Set 1 #

Patch Set 2 : Fix compilation errors, including tests. #

Total comments: 14

Patch Set 3 : Drop return value. #

Patch Set 4 : Clear received_packets_ list between sub-tests. #

Patch Set 5 : Fixes and TODO comments for fec tests related to seqno wraparound. #

Patch Set 6 : Rebase after The Great Move. #

Total comments: 9

Patch Set 7 : Comment fixes. #

Patch Set 8 : Rebased. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+280 lines, -210 lines) Patch
M modules/rtp_rtcp/include/flexfec_receiver.h View 1 2 3 4 5 2 chunks +4 lines, -4 lines 0 comments Download
M modules/rtp_rtcp/source/flexfec_receiver.cc View 1 2 3 4 5 7 chunks +13 lines, -16 lines 0 comments Download
M modules/rtp_rtcp/source/flexfec_receiver_unittest.cc View 1 2 3 4 5 6 chunks +28 lines, -16 lines 0 comments Download
M modules/rtp_rtcp/source/forward_error_correction.h View 1 2 3 4 5 6 5 chunks +10 lines, -12 lines 0 comments Download
M modules/rtp_rtcp/source/forward_error_correction.cc View 1 2 3 4 5 5 chunks +69 lines, -78 lines 0 comments Download
M modules/rtp_rtcp/source/rtp_fec_unittest.cc View 1 2 3 4 5 6 31 chunks +130 lines, -63 lines 0 comments Download
M modules/rtp_rtcp/source/ulpfec_receiver_impl.h View 1 2 3 4 5 6 7 2 chunks +7 lines, -4 lines 0 comments Download
M modules/rtp_rtcp/source/ulpfec_receiver_impl.cc View 1 2 3 4 5 1 chunk +7 lines, -8 lines 0 comments Download
M modules/rtp_rtcp/test/testFec/test_fec.cc View 1 2 3 4 5 3 chunks +12 lines, -9 lines 0 comments Download

Messages

Total messages: 27 (15 generated)
nisse-webrtc
Would you like to have an intitial look? Tests not yet updated. Possible follow up ...
2 months, 1 week ago (2017-09-13 12:37:14 UTC) #2
brandtr
On 2017/09/13 12:37:14, nisse-webrtc wrote: > Would you like to have an intitial look? Tests ...
2 months, 1 week ago (2017-09-13 15:39:23 UTC) #3
brandtr
I think this looks good. Hard to say why the tests fail though by just ...
2 months, 1 week ago (2017-09-14 11:49:45 UTC) #4
nisse-webrtc
https://codereview.webrtc.org/3012243002/diff/20001/webrtc/modules/rtp_rtcp/include/flexfec_receiver.h File webrtc/modules/rtp_rtcp/include/flexfec_receiver.h (right): https://codereview.webrtc.org/3012243002/diff/20001/webrtc/modules/rtp_rtcp/include/flexfec_receiver.h#newcode42 webrtc/modules/rtp_rtcp/include/flexfec_receiver.h:42: std::unique_ptr<ForwardErrorCorrection::ReceivedPacket> AddReceivedPacket( On 2017/09/14 11:49:45, brandtr wrote: > Maybe ...
2 months, 1 week ago (2017-09-14 12:55:51 UTC) #5
brandtr
I do not understand the purpose of RtpFecTestUlpfecOnly.FecRecoveryWithSeqNumGapOneFrameNoRecovery. https://cs.chromium.org/chromium/src/third_party/webrtc/modules/rtp_rtcp/source/rtp_fec_unittest.cc?l=382&rcl=29826f277a161347a2b9e3bc1d2ee6a66cae0c2e Last time I made changes to ...
2 months, 1 week ago (2017-09-14 13:14:16 UTC) #6
nisse-webrtc
Updated the ulpfec test to expect success. https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/rtp_fec_unittest.cc File modules/rtp_rtcp/source/rtp_fec_unittest.cc (right): https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/rtp_fec_unittest.cc#newcode454 modules/rtp_rtcp/source/rtp_fec_unittest.cc:454: // the ...
2 months, 1 week ago (2017-09-15 06:34:57 UTC) #7
brandtr
lgtm https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/rtp_fec_unittest.cc File modules/rtp_rtcp/source/rtp_fec_unittest.cc (right): https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/rtp_fec_unittest.cc#newcode454 modules/rtp_rtcp/source/rtp_fec_unittest.cc:454: // the log message "The recovered packet had ...
2 months, 1 week ago (2017-09-15 08:10:34 UTC) #8
nisse-webrtc
Stefan, would you like to have a look too? This refactoring should make it easier ...
2 months, 1 week ago (2017-09-15 08:22:05 UTC) #12
stefan-webrtc
lgtm https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/forward_error_correction.h File modules/rtp_rtcp/source/forward_error_correction.h (right): https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/forward_error_correction.h#newcode80 modules/rtp_rtcp/source/forward_error_correction.h:80: // TODO(holmer): Refactor into a proper class. May ...
2 months, 1 week ago (2017-09-15 13:36:13 UTC) #16
nisse-webrtc
I'll run the fyi and internal bot, and land if things look green. https://codereview.webrtc.org/3012243002/diff/100001/modules/rtp_rtcp/source/forward_error_correction.h File ...
2 months ago (2017-09-18 12:39:06 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3012243002/140001
2 months ago (2017-09-18 14:56:17 UTC) #24
commit-bot: I haz the power
2 months ago (2017-09-18 14:59:05 UTC) #27
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://webrtc.googlesource.com/src/+/a5f043f9cd201fff209e96415bebcb8445ba0176

Powered by Google App Engine
This is Rietveld efc10ee0f